/*
   function to give length of PL/I string,
   given descriptor pointer
*/
#include <clang.c>;
#include <plistring.c>;

int function plilen(sdp)
  register plistring sdp;
{
  return( ifx sdp isvarying
            thenx (sdp->plisdptr.plisdvsp)->plivslen
            elsex sdp plisize );
}
